NETSTAT(8)

BEZEICHNUNG
netstat - Anzeige von Netzwerkverbindungen, Routing-Tabellen, Schnittstellenstatistiken, maskierten Verbindungen und Mitgliedschaft in Multicastgruppen

ÜBERSICHT

netstat [Adressfamilienoptionen] [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w] [--l2cap|-2] [--rfcomm|-f] [--listening|-l] [--all|-a] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--symbolic|-N] [--extend|-e[--extend|-e]] [--timers|-o] [--program|-p] [--verbose|-v] [--continuous|-c] [--wide|-W]

netstat {--route|-r} [Adressfamilienoptionen] [--extend|-e[--extend|-e]] [--verbose|-v] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--interfaces|-i} [--all|-a] [--extend|-e[--extend|-e]] [--verbose|-v] [--program|-p] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--groups|-g} [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--masquerade|-M} [--extend|-e] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--statistics|-s} [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w]

netstat {--version|-V}

netstat {--help|-h}

Adressfamilienoptionen:

[-4|--inet] [-6|--inet6] [--protocol={inet,inet6,unix,ipx,ax25,netrom,ddp,bluetooth, … } ] [--unix|-x] [--inet|--ip|--tcpip] [--ax25] [--x25] [--rose] [--ash] [--bluetooth] [--ipx] [--netrom] [--ddp|--appletalk] [--econet|--ec]

ANMERKUNGEN
Das Programm ist größtenteils veraltet. Ersatz für netstat ist ss. Ersatz für netstat -r ist ip route. Ersatz für netstat -i ist ip -s link. Ersatz für netstat -g ist ip maddr.

BESCHREIBUNG
Netstat zeigt Informationen über das Linux-Netzwerksystem an. Die Art der ausgegebenen Informationen wird über das erste Argument wie folgt gesteuert:

  (keines)
Standardmäßig zeigt netstat eine Liste der offenen Sockets. Wird keine Adressfamilie angegeben, dann werden die aktiven Sockets aller konfigurierten Adressfamilien angezeigt.

  --route, -r
Zeigt die Routing-Tabellen des Kernels an. Siehe die Beschreibung in route(8) zu Details. netstat -r und route -e erzeugen die gleiche Ausgabe.

  --groups, -g
Zeigt Muliticast-Gruppenmitgliedschaftsinformationen für IPv4 und IPv6.

  --interfaces, -i
Zeigt eine Tabelle aller Netzwerkschnittstellen.

  --masquerade, -M
Zeigt eine Liste der maskierten Verbindungen an.

  --statistics, -s
Zeigt Zusammenfassungsstatistiken für jedes Protokoll.

OPTIONEN

  --verbose, -v
Informiert den Benutzer ausführlich darüber, was passiert. Insbesondere werden nützliche Informationen über nicht konfigurierte Adressfamilien ausgegeben.

  --wide, -W
Kürzt IP-Adressen nicht, indem die Ausgabe so breit wie notwendig ist. Dies ist aktuell optional, um bestehende Skripte nicht zu beschädigen.

  --numeric, -n
Gibt numerische Adressen aus, anstatt die Bestimmung von symbolischen Rechner-, Port- oder Benutzernamen zu versuchen.

  --numeric-hosts
Gibt numerische Rechneradressen aus; dies betrifft aber nicht die Auflösung der Port- oder Benutzernamen.

  --numeric-ports
Gibt numerische Port-Nummern aus; dies betrifft aber nicht die Auflösung von Rechner- oder Benutzernamen.

  --numeric-users
Gibt numerische Benutzerkennungen aus; dies betrifft aber nicht die Auflösung von Rechner- oder Port-Namen.

  --protocol=Familie, -A
Legt die Adressfamilien fest (besser als systemnahe Protokolle beschrieben), für die Verbindungen angezeigt werden sollen. Familie ist eine durch Kommas getrennte Auflistung von Schlüsselworten für Adressfamilien wie inet, inet6, unix, ipx, ax25, netrom, econet, ddp und bluetooth. Dies hat den gleichen Effekt wie die Optionen --inet|-4, --inet6|-6, --unix|-x, --ipx, --ax25, --netrom, --ddp und --bluetooth.

Die Adressfamilie inet (IPv4) enthält Raw-, UDP-, UDPLite- und TCP-Protokoll-Sockets.

Die Adressfamilie bluetooth (IPv4) enthält L2cap- und Rfcomm-Protokoll-Sockets.

  -c, --continuous
Mit dieser Option wiederholt netstat im Sekundenabstand die ausgewählten Informationen, bis es abgebrochen wird.

  -e, --extend
Zeigt zusätzliche Informationen an. Verwenden Sie diese Option für maximale Details zweimal.

  -o, --timers
Schließt Informationen in Bezug zu Netzwerk-Timern mit ein.

  -p, --program
Zeigt den Programmnamen und die PID des Eigentümers jedes Sockets an. Ein Bindestrich wird angezeigt, wenn der Socket zum Kernel gehört (z.B. ein Kerneldienst oder der Prozess sich beendet hat, aber der Socket das Schließen noch nicht beendet hat).

  -l, --listening
Zeigt nur Sockets, die auf Anfragen warten. (Diese werden standardmäßig ausgelassen.)

  -a, --all
Zeigt alle Sockets. Mit der Option --interfaces werden Schnittstellen gezeigt, die nicht aktiv (oben) sind.

  -F
Zeigt Routing-Informationen aus dem FIB. (Dies ist die Vorgabe.)

  -C
Zeigt Routing-Informationen aus dem Route-Zwischenspeicher.

AUSGABE

  Aktive Internet-Verbindungen (TCP, UDP, UDPLite, RAW)

  Proto
Das vom Socket verwendete Protokoll (TCP, UDP, UDPL, RAW).

  Recv-Q
Established: Die Anzahl der Byte, die noch nicht von der Anwendung vom Socket abgeholt wurden. Listening: Seit Kernel 2.6.18 enthält diese Spalte den aktuellen Syn-Rückstand.

  Send-Q
Established: Die Anzahl der Byte, die von der Gegenseite noch nicht bestätigt wurden. Listening: Seit Kernel 2.6.18 enthält diese Spalte die maximale Größe des Syn-Rückstands.

  Local Address (Lokale Adresse)
Die Adresse (lokaler Rechnername) und Portnummer der lokalen Seite des Sockets. Außer bei Verwendung der Option --numeric (-n) wird die Socketadresse nach dem kanonischen Rechnernamen (FQDN) und die Portnummer in den zugehörigen Dienstenamen aufgelöst.

  Foreign Address (Gegenadresse)
Die Adresse und Portnummer der Gegenseite des Sockets. Analog zur lokalen Adresse.

  State (Zustand)
Der Zustand des Sockets. Da RAW-Sockets keinen und UDP- und UDPLite-Sockets üblicherweise keinen Zustand haben, kann diese Spalte leer bleiben. Normalerweise ist sie einer von mehreren Werten:

ESTABLISHED
    Dieser Socket hat eine Verbindung hergestellt.

SYN_SENT
    Es wird versucht, auf dem Socket eine Verbindung aufzubauen.

SYN_RECV
    Eine Verbindungsanfrage wurde von der Gegenseite empfangen.

FIN_WAIT1
    Das Socket wurde geschlossen und die Verbindung wird beendet.

FIN_WAIT2
    Die Verbindung ist geschlossen und der Socket wartet darauf, dass sie von der Gegenseite ebenfalls geschlossen wird.

TIME_WAIT
    Der Socket ist nach dem Schließen im Wartezustand, um Pakete entgegenzunehmen, die sich eventuell noch im Netzwerk befinden.

CLOSE
    Der Socket wird nicht benutzt.

CLOSE_WAIT
    Die Gegenseite hat die Verbindung beendet und das Schließen des Sockets wird erwartet.

LAST_ACK
    Die Gegenseite hat die Verbindung beendet und der Socket ist geschlossen; die Bestätigung wird abgewartet.

LISTEN
    Der Socket wartet auf eingehende Verbindungen. Diese Sockets werden nur angezeigt, wenn die Option --listening (-l) oder --all (-a) gewählt wird.

CLOSING
    Beide Sockets sind geschlossen, es wurden aber noch nicht alle Daten geschickt.

UNBEKANNT
    Der Zustand des Sockets ist unbekannt.

  Benutzer
Der Benutzername oder die Benutzerkennung (UID) des Eigentümers des Sockets.

  PID/Programmname
Durch einen Schrägstrich abgetrenntes Paar von Prozesskennung und Programmname des Prozesses, der diesen Socket besitzt. Die Option --program schaltet die Anzeige dieser Spalte ein. Es werden root-Privilegien benötigt, um die Informationen zu Sockets zu sehen, die Ihnen nicht gehören. Für IPX-Sockets sind diese Daten noch nicht verfügbar.

  Timer
TCP-Timer, die diesem Socket zugeordnet sind. Das Format ist Timer(a/b/c). Der Timer ist einer der folgenden Werte:

off Für diesen Socket ist kein Timer gesetzt.

on  Für den Socket ist der Neuübertragungs-Timer aktiv.

keepalive
    Für den Socket ist der Aufrechterhaltungs-Timer aktiv.

timewait
    Die Verbindung schließt und für den Socket ist der Zeitwarte-Timer aktiv.

Die Werte in den Klammern:

a   Timer-Wert.

b   Anzahl der gesandten Neuübertragungen.

c   Anzahl der gesandten Aufrechterhaltungen.

  Aktive UNIX-Domain-Sockets

  Proto
Das Protokoll (in der Regel unix), welches vom Socket verwendet wird.

  RefZäh
der Referenzzähler, d.h. die Zahl der Prozesse, die diesen Socket benutzen

  Schalter
Die Schalter, die angezeigt werden, sind SO_ACCEPTON (angezeigt als ACC), SO_WAITDATA (W) oder SO_NOSPACE (N). SO_ACCECPTON wird auf unverbundenen Sockets verwendet, wenn die zugehörigen Prozesse auf Verbindungsanfragen warten. Die anderen Schalter sind normalerweise nicht von Interesse.

  Typ
Es gibt verschiedene Arten von Socketzugriff:

SOCK_DGRAM
    Der Socket wird im verbindungslosen Datagramm-Modus verwendet.

SOCK_STREAM
    Dies ist ein verbindungsorientierter Stream-Socket.

SOCK_RAW
    Der Socket wird als RAW-Socket verwendet.

SOCK_RDM
    Dieser Socket bedient zuverlässig zugestellte Nachrichten.

SOCK_SEQPACKET
    Dies ist ein Socket, der die Zustellung in der richtigen Reihenfolge garantiert.

SOCK_PACKET
    Socket mit direktem (RAW) Zugriff auf die Schnittstelle.

UNBEKANNT
    Wer weiß, was uns die Zukunft bringt, soll es hier hinschreiben :-)

  State (Zustand)
Dieses Feld enthält eines der folgenden Schlüsselworte:

FREE
    Der Socket ist unbenutzt

LISTENING
    Der Socket wartet auf Verbindungsanfragen. Solche Sockets werden nur angezeigt, wenn die Option --listening (-l) oder --all (-a) gesetzt ist.

CONNECTING
    Auf dem Socket wird gerade eine Verbindung aufgebaut.

CONNECTED
    Auf dem Socket ist eine Verbindung aufgebaut.

DISCONNECTING
    Die Verbindung des Sockets wird gerade abgebaut.

(leer)
    Der Socket hat keine Verbundung zu einem anderen Socket.

UNBEKANNT
    Dieser Zustand sollte niemals auftreten.

  PID/Programmname
Prozesskennung (PID) und Prozessname des Prozesses, der diesen Socket hält. Details siehe oben unter Aktive Internetverbindungen.

  Pfad
Dies ist der Pfadname, unter dem die entsprechenden Prozesse an den Socket angehängt sind.

  Aktive IPX-Sockets
(Dieser Abschnitt sollte von jemandem, der davon Ahnung hat, geschrieben werden.)

  Aktive NET/ROM-Sockets
(Dieser Abschnitt sollte von jemandem, der davon Ahnung hat, geschrieben werden.)

  Aktive AX.25-Sockets
(Dieser Abschnitt sollte von jemandem, der davon Ahnung hat, geschrieben werden.)

DATEIEN
/etc/services -- Die Zuordnungstabelle für Netzwerkdienste

/proc -- Einhängepunkt für das Proc-Dateisystem, das über die nachfolgend aufgeführten Dateien Zugriff auf die Kernel-Statusinformationen gibt.

/proc/net/dev -- Informationen über Geräte

/proc/net/raw -- Informationen über RAW-Sockets

/proc/net/tcp -- Informationen über TCP-Sockets

/proc/net/udp -- Informationen über UDP-Sockets

/proc/net/udplite -- Informationen über UDPLite-Sockets

/proc/net/igmp -- IGMP-bezogene Informationen

/proc/net/unix -- Informationen über UNIX-Sockets

/proc/net/ipx -- Informationen über IPX-Sockets

/proc/net/ax25 -- Informationen über AX25-Sockets

/proc/net/appeltalk -- Informationen über Appletalk-/DDP-Sockets

/proc/net/nr -- Informationen über NET/ROM-Sockets

/proc/net/route -- Informationen über IP-Routing

/proc/net/ax25_route -- Informationen über AX25-Routing

/proc/net/ipx_route -- Informationen über IPX-Routing

/proc/net/nr_nodes -- NET/ROM-Knotenliste

/proc/net/nr_neigh -- NET/ROM-Nachbarn

/proc/net/ip_masquerade -- maskierte Verbindungen

/sys/kernel/debug/bluetooth/l2cap -- Bluetooth-L2CAP-Information

/sys/kernel/debug/bluetooth/rfcomm -- serielle Bluetooth-Verbindungen

/proc/net/snmp -- Statistiken

SIEHE AUCH
route(8), ifconfig(8), iptables(8), proc(5), ss(8), ip(8)

FEHLER
Gelegentlich können merkwürdige Informationen auftauchen, falls ein Socket sich während der Betrachtung verändert. Das Auftreten ist aber unwahrscheinlich.

AUTOREN
Die Benutzeroberfläche von netstat wurde von Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de> geschrieben, die Handbuchseite im Wesentlichen von Matt Welsh <mdw@tc.cornell.edu>. Aktualisierungen erfolgten von Alan Cox <Alan.Cox@linux.org> und Tuan Hoang <tqhoang@bigfoot.com>. Die Handbuchseite und die im Paket net-tools enthaltenen Befehle wurden durch Bernd Eckenfels <ecki@linux.de> komplett neu geschrieben. Die UDPLite-Optionen wurden von Brian Micek <bmicek@gmail.com> hinzugefügt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Ralf Bächle <ralf@linux-mips.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).